Bug 994641 - By default hostname from etc/hostname from default install httpd don't start (configured on local network)
By default hostname from etc/hostname from default install httpd don't start ...
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: httpd (Show other bugs)
19
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Joe Orton
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-07 13:05 EDT by Marian
Modified: 2013-08-08 15:51 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-07 13:20:30 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Marian 2013-08-07 13:05:16 EDT
Description of problem:


Version-Release number of selected component (if applicable):
httpd -v
Server version: Apache/2.4.4 (Fedora)
Server built:   May 20 2013 09:27:20


How reproducible:
Initial content of /etc/hostname is my_ip.domainname => httpd not start
Edit content of /etc/hostname and replace with localhost => httpd start

Steps to Reproduce:
1.
2.
3.

Actual results:
Others that magic word "localhost" not working (on configuring apache on local
network)

Expected results:


Additional info:
Comment 1 gil cattaneo 2013-08-07 19:46:17 EDT
you filed this bug for a wrong component
Comment 2 Marian 2013-08-08 15:49:06 EDT
Sorry but from anaconda log
17:20:48,240 DEBUG anaconda: updating hostname 192-168-0-114.domain 
instead of 127.0.0.1
Comment 3 Marian 2013-08-08 15:51:30 EDT
Big problem is ;on command hostnamectl is write on '/etc/hostname' transient
hostname instead of static hostname.

Note You need to log in before you can comment on or make changes to this bug.